JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Wdm.KEY_BASIC_INFORMATION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Wdm.KEY_BASIC_INFORMATION

Enclosing interface:
  Wdm

    public static class Wdm.KEY_BASIC_INFORMATION

extends Structure

The KEY_BASIC_INFORMATION structure defines a subset of the full information that is available for a registry key.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`long` `LastWriteTime` The last time the key or any of its values changed.
`char[]` `Name` A string of Unicode characters naming the key.
`int` `NameLength` Specifies the size in bytes of the following name.
`int` `TitleIndex` Device and intermediate drivers should ignore this member.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Wdm.KEY_BASIC_INFORMATION()`
`Wdm.KEY_BASIC_INFORMATION(int size)`
`Wdm.KEY_BASIC_INFORMATION(Pointer memory)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.
`java.lang.String` `getName()` Name of the key.
`void` `read()` Reads the fields of the struct from native memory

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LastWriteTime

    public long LastWriteTime

  The last time the key or any of its values changed.

### TitleIndex

    public int TitleIndex

  Device and intermediate drivers should ignore this member.

### NameLength

    public int NameLength

  Specifies the size in bytes of the following name.

### Name

    public char[] Name

  A string of Unicode characters naming the key. The string is not null-terminated.

Constructor Detail

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION()

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION(int size)

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION(Pointer memory)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

### getName

    public java.lang.String getName()

  Name of the key.

  Returns:
    String.

### read

    public void read()

  Description copied from class: `Structure`
  Reads the fields of the struct from native memory

  Overrides:
    `read` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.